Article ID: 116900, created on Aug 23, 2013, last review on May 11, 2014

  • Applies to:
  • Operations Automation

Symptoms

Task Install set of VZ templates to VPS fails with the error message 'Can not install packages: section multiarch not found' like in the example below:

Task description        Install of following VZ templates into VPS: vzpem-pleskd-as4/20121207, vzpem-php5-cgi-as4/20130218
Internal error: 3501 : Can not install packages: section multiarch not found
file /etc/php.ini from install of php53-common-5.3.3-13.el4.pem conflicts with file from package php4-4.4.9-4_1.pem
file /usr/bin/php from install of php53-cli-5.3.3-13.el4.pem conflicts with file from package php4-4.4.9-4_1.pem

On attempt to install the template vzpem-php5-cgi-as4/20130218 mentioned in the failed POA task manually into the VPS the same error is displayed:

section multiarch not found
file /usr/bin/php from install of php53-cli-5.3.3-13.el4.pem conflicts with file from package php4-4.4.9-4_1.pem

Cause

The previous application templates were installed in incorrect order. Now it is needed to install packages with force option.

Resolution

  1. Execute the following command on the hardware node where VPS is running:

    # vzpkgadd <CT_ID> -f vzpem-php5-cgi-as4/20130218
    

    Replace <CT_ID> with the actual ID of the VPS in question, replace application template name with the actual one as well.

  2. Rerun the failed task in POA Task Manager.

Search Words

section multiarch not found

Install set of VZ templates to VPS

file conflicts

task fail

caea8340e2d186a540518d08602aa065 5356b422f65bdad1c3e9edca5d74a1ae e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF